import os
os.environ.setdefault('SELENIUM_BROWSER_CHOOSE', 'Chrome')
os.environ.setdefault('SELENIUM_CLASSES_DRIVER', '2')
from Lib.Driver import Browser

if __name__ == '__main__':
    try:
        from argparse import ArgumentParser
        from sys import argv

        parser = ArgumentParser(
            argument_default=''
        )
        parser.add_argument(
            '--home',
            required=False,
            help='set browser home.',
            choices=None,
            default='https://platform.openai.com/',
            dest='home'
        )
        parser.add_argument(
            '--language',
            required=False,
            help='set browser language.',
            choices=None,
            default='en-US',
            dest='language'
        )
        parser.add_argument(
            '--proxy',
            required=False,
            help='set browser http proxy.',
            choices=None,
            default='127.0.0.1:7890',
            dest='proxy'
        )
        args = parser.parse_args()
        driver = Browser(home=args.home, lang=args.language, http_proxy=args.proxy)
        while True:
            driver.wait()
    except KeyboardInterrupt:
        from sys import exit
        exit(130)
